using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace GreenTree.Strohrmann.ERP.Web.Models.Business
{
    public class TitleModel
    {
        #region Properties

        /// <summary>
        /// Tax id
        /// </summary>
        [Display(Name = "ID")]
        public int Id { get; set; }

        /// <summary>
        /// Tax name
        /// </summary>
        [Display(Name = "Name")]
        public string Name { get; set; }

        #endregion

        #region Ctor

        /// <summary>
        /// Initializes a new instance of the TitleModel class
        /// </summary>
        public TitleModel() { }

        /// <summary>
        /// Initializes a new instance of the TitleModel class
        /// </summary>
        /// <param name="tax">Base tax entity.</param>
        public TitleModel(Core.Domain.Business.Title title)
        {
            if (title == null) return;

            Id = title.Id;
            Name = title.Name;
        }

        #endregion

        #region Overrides

        /// <summary>
        /// Returns a string that represents the current object with its' name
        /// </summary>
        public override string ToString()
        {
            return Name;
        }

        #endregion
    }
}
